Our site uses cookies to improve your browsing experience. To learn more please read our Privacy Policy

itslearning browser support

In order to continue delivering the best of the breed in learning platforms we need to harness the latest web browser technology. As of now, older browsers are slowing both us and you down. Typical examples of such old browsers are Microsoft Internet Explorer 6 and 7.

To speed up development, enhance security and improve the user experience we plan to begin phasing out support of Internet Explorer 7.0 in April 2012. Certain functionality within itslearning may not work correctly in these older browsers when we stop supporting them.

We know that some of you still use Internet Explorer 7.0, but be aware that newer browsers are more secure and have the built-in technology you need to get the full potential of itslearning.

Starting in April, users on these older browsers will see a message on the login page explaining this change and asking them to upgrade their browser.

Note: If you run Internet Explorer 8 or 9 in Compatibility View you will get a warning saying that your browser is outdated. To avoid this message you can turn off Compatibility View. Watch how to turn it off.

Users who continue using these browsers after April 2012 log in at their own responsibility.

To avoid any problems, we recommend you to upgrade to latest version of :

  • Microsoft Internet Explorer
  • Mozilla Firefox
  • Safari
  • Google Chrome

Click here to find out what browser you have.

No comments (Add your own)

Add a New Comment

Enter the code you see below:
code
 

Comment Guidelines: No HTML is allowed. Off-topic or inappropriate comments will be edited or deleted. Thanks.

Webinars Video Overview Contact Us